SystemOrganization addCategory: #'GT-Tests-Inspector'!

TestCase subclass: #GTInspectorExamplesTest
	instanceVariableNames: 'windows'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorExamplesTest methodsFor: 'running' stamp: 'TudorGirba 1/29/2014 07:44'!
setUp 
	windows := OrderedCollection new! !

!GTInspectorExamplesTest methodsFor: 'running' stamp: 'TudorGirba 1/29/2014 07:44'!
tearDown 
	windows do: [ :each | each delete ]! !

!GTInspectorExamplesTest methodsFor: 'tests' stamp: 'TudorGirba 1/29/2014 07:48'!
testEachPresentation

	| pragmas window |

	Object withAllSubclassesDo: [ :eachClass |
		(GTExamplesBrowser new examplesFor: eachClass) do: [ :exampleToTest |
			pragmas := Pragma 
						allNamed: #gtInspectorPresentationOrder: 
						from: exampleToTest class 
						to: Object 
						sortedUsing: [: x :y | (x argumentAt: 1) < (y argumentAt: 1)].
			pragmas do: [ :eachPragma | 
				window := GLMWrapper new 
					show: [:composite | 
						exampleToTest perform: eachPragma selector with: composite];
					openOn: exampleToTest.
				windows add: window ] ] ]! !

TestCase subclass: #GTInspectorSmokeTest
	instanceVariableNames: 'windows'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

GTInspectorSmokeTest subclass: #GTInspectorBitmapTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorBitmapTest methodsFor: 'tests' stamp: 'TudorGirba 11/1/2013 23:37'!
objectToTest 
	^ ThemeIcons current pharoIcon bits! !

GTInspectorSmokeTest subclass: #GTInspectorByteArrayTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorByteArrayTest methodsFor: 'tests' stamp: 'TudorGirba 8/22/2011 11:53'!
objectToTest 
	^ #[2r1010 8r333 16rFF]! !

GTInspectorSmokeTest subclass: #GTInspectorCollectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorCollectionTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:15'!
objectToTest 
	^ #(1  2 a something)! !

GTInspectorSmokeTest subclass: #GTInspectorDictionaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorDictionaryTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:36'!
objectToTest 
	| dict |
	dict := Dictionary new.
	dict at: 4 put: 2.
	dict at: #a put: 'value'.
	^ dict! !

GTInspectorSmokeTest subclass: #GTInspectorFormTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorFormTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:27'!
objectToTest 
	^ GLMUIThemeExtraIcons glamorousBrowse ! !

GTInspectorSmokeTest subclass: #GTInspectorGLMTabulatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorGLMTabulatorTest methodsFor: 'tests' stamp: 'TudorGirba 5/30/2013 07:21'!
objectToTest 
	^ GLMTabulator new 
		with: [ :t |
			t column: #one.
			t transmit to: #one; andShow: [ :a | a text] ];
		startOn: 42! !

GTInspectorSmokeTest subclass: #GTInspectorMessageTallyTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorMessageTallyTest methodsFor: 'tests' stamp: 'TudorGirba 1/16/2014 09:09'!
objectToTest 
	^ MessageTally new 
		spyEvery: 1 on: [10 timesRepeat: [1.23 printString]];
		yourself! !

GTInspectorSmokeTest subclass: #GTInspectorMethodContextTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorMethodContextTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 23:37'!
objectToTest 
	^ thisContext! !

GTInspectorSmokeTest subclass: #GTInspectorMorphTest
	instanceVariableNames: 'morphWindow'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorMorphTest methodsFor: 'tests' stamp: 'TudorGirba 11/1/2013 16:33'!
objectToTest 
	"we spawn the morph to make sure there are no errors when the morph is actually drawn"
	^ morphWindow := BorderedMorph new openInWindow ! !

!GTInspectorMorphTest methodsFor: 'running' stamp: 'TudorGirba 8/25/2011 22:33'!
tearDown 
	super tearDown.
	morphWindow delete! !

GTInspectorSmokeTest subclass: #GTInspectorNumberTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorNumberTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:08'!
objectToTest 
	^ 42! !

GTInspectorSmokeTest subclass: #GTInspectorRBMethodTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorRBMethodTest methodsFor: 'tests' stamp: 'TudorGirba 11/29/2013 14:58'!
objectToTest 
	^ (GTInspectorRBMethodTest>>#objectToTest) parseTree! !

GTInspectorSmokeTest subclass: #GTInspectorSetTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorSetTest methodsFor: 'tests' stamp: 'TudorGirba 5/30/2012 06:38'!
objectToTest 
	^ #('number' 42) asSet! !

!GTInspectorSmokeTest class methodsFor: 'testing' stamp: 'TudorGirba 8/19/2011 23:10'!
isAbstract
	^ self name = #GTInspectorSmokeTest! !

!GTInspectorSmokeTest methodsFor: 'tests' stamp: 'TudorGirba 8/19/2011 23:08'!
objectToTest.

	^ self subclassResponsability! !

!GTInspectorSmokeTest methodsFor: 'running' stamp: 'TudorGirba 8/19/2011 23:05'!
setUp 
	windows := OrderedCollection new! !

!GTInspectorSmokeTest methodsFor: 'running' stamp: 'TudorGirba 8/19/2011 23:06'!
tearDown 
	windows do: [ :each | each delete ]! !

!GTInspectorSmokeTest methodsFor: 'tests' stamp: 'TudorGirba 8/21/2011 09:04'!
testEachPresentation

	| pragmas objectToTest browser window |

	objectToTest := self objectToTest.
	pragmas := Pragma 
				allNamed: #gtInspectorPresentationOrder: 
				from: objectToTest class 
				to: Object 
				sortedUsing: [: x :y | (x argumentAt: 1) < (y argumentAt: 1)].
	pragmas do: [ :eachPragma | 
		browser := GLMTabulator new.
		browser column: #one.
		browser transmit to: #one; andShow: [:composite | 
			objectToTest perform: eachPragma selector with: composite].
		window := browser openOn: objectToTest.
		windows add: window ]! !

GTInspectorSmokeTest subclass: #GTInspectorTextTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorTextTest methodsFor: 'tests' stamp: 'TudorGirba 7/29/2012 11:18'!
objectToTest 
	^ 'text' asText! !

GTInspectorSmokeTest subclass: #GTInspectorTraitTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTInspectorTraitTest methodsFor: 'tests' stamp: 'TudorGirba 12/4/2013 10:57'!
objectToTest 
	^ TClass! !

GLMMorphicTest subclass: #GTUnprintableObjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Tests-Inspector'!

!GTUnprintableObjectTest commentStamp: '<historical>' prior: 0!
GTUnprintableObjectTest is a test that checks that print string does not trigger an error in the inspector.!

!GTUnprintableObjectTest methodsFor: 'printing' stamp: 'TudorGirba 5/25/2012 17:13'!
printString
	"Simulate an error in printString"
	1/0! !

!GTUnprintableObjectTest methodsFor: 'tests' stamp: 'TudorGirba 5/25/2012 17:12'!
testInspectDoesNotCrash
	window := GTInspector openOn: self class new ! !
